package com.prodhack.moscow2025.domain.interfaces

import com.prodhack.moscow2025.domain.models.UpdateUserData
import com.prodhack.moscow2025.domain.models.User
import kotlinx.coroutines.flow.Flow

interface UserRepository {
	fun observeUser(): Flow<User?>

	suspend fun fetchProfile(): Result<User>

	suspend fun updateProfile(request: UpdateUserData): Result<User>

	suspend fun clearLocalUserData()
}